Bug 1313955 - JON agent does not recognize EAP7 Undertow subsystem that replaces EAP6 Web subsystem.
JON agent does not recognize EAP7 Undertow subsystem that replaces EAP6 Web s...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
x86_64 Unspecified
urgent Severity urgent
: ER01
: One-off release
Assigned To: Josejulio Martínez
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-02 11:49 EST by Vojta Prusa
Modified: 2016-06-06 14:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:56:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojta Prusa 2016-03-02 11:49:59 EST
Description of problem:
JON agent doesnt recognize EAP7 Undertow subsystem that replaces EAP6 Web subsystem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:


Actual results:


Expected results:


Additional info:
Comment 2 Michael Burman 2016-03-08 05:13:17 EST
Please remove JBossWeb subsystem in the same commit.
Comment 3 Michael Burman 2016-03-14 10:54:57 EDT
Merged to the master:

commit 9066941e0e4fcf945b62c8660bbc3ebe128d97cc
Merge: d63077f a193d1b
Author: Michael Burman <yak@iki.fi>
Date:   Mon Mar 14 09:26:42 2016 +0200

    Merge pull request #213 from josejulio/BZ-1313955
    
    Bug 1313955 - JON agent does not recognize EAP7 Undertow subsystem that replaces EAP6 Web subsystem

commit a193d1bebb7349f0512751182d86febc516bb1cd
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Wed Mar 9 09:37:29 2016 -0600

    Bug 1313955 - JON agent does not recognize EAP7 Undertow subsystem that replaces EAP6 Web subsystem.
Comment 4 Michael Burman 2016-03-15 07:02:59 EDT
I'm seeing these issues on my dev-env:

2016-03-15 12:50:13,678 WARN  [InventoryManager.availability-1] (rhq.core.pc.inventory.AvailabilityExecutor)- Availability collection failed with exception on Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host], availability will be reported as DOWN, reason=Failed to start component for Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host] - 1

2016-03-15 12:59:13,952 ERROR [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Failed to start component for Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host] from synchronized merge.
org.rhq.core.clientapi.agent.PluginContainerException: Failed to start component for Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host] - 1
	at org.rhq.core.pc.inventory.InventoryManager.activateResource(InventoryManager.java:2281)
	at org.rhq.core.pc.inventory.InventoryManager.refreshResourceComponentState(InventoryManager.java:3651)
	at org.rhq.core.pc.inventory.InventoryManager.processSyncInfo(InventoryManager.java:3191)
	at org.rhq.core.pc.inventory.InventoryManager.syncResources(InventoryManager.java:1435)
	at org.rhq.core.pc.inventory.InventoryManager.syncPlatform(InventoryManager.java:1366)
	at org.rhq.core.pc.inventory.InventoryManager.handleReport(InventoryManager.java:1317)
	at org.rhq.core.pc.inventory.AutoDiscoveryExecutor.call(AutoDiscoveryExecutor.java:121)
	at org.rhq.core.pc.inventory.AutoDiscoveryExecutor.run(AutoDiscoveryExecutor.java:83)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)
Comment 7 Michael Burman 2016-03-21 10:36:40 EDT
Fixes for the log warnings in the master:

commit 9fdd66f7645f6bb5721388029e86adb98d0fba7c
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Tue Mar 15 21:56:53 2016 -0600

    Bug 1313955 - Check if "/" is the only value of the last key.
Comment 8 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Michael Burman 2016-03-31 09:35:42 EDT
I'm still seeing these after the last commit:

2016-03-31 15:58:59,942 WARN  [InventoryManager.availability-1] (rhq.core.pc.inventory.AvailabilityExecutor)- Availability collection failed with exception on Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host], availability will be reported as DOWN, reason=Failed to start component for Resource[id=10583, uuid=94d20872-6e61-449d-93c7-fbf4931bfced, type={EAP7}Undertow-Location, key=subsystem=undertow,server=default-server,host=default-host,location=/, name=/, parent=default-host] - 1
Comment 12 Michael Burman 2016-04-01 06:35:11 EDT
To me it seems Undertow is only detected under Standalone installation, not in domain cases.
Comment 14 Hayk Hovsepyan 2016-04-01 07:31:14 EDT
For standalone mode, verified on revision jon-plugin-pack-eap-3.3.0.GA-update-04-DR02.

The WARN and ERROR messages are not seen in logs anymore.
Comment 15 Hayk Hovsepyan 2016-04-01 08:07:36 EDT
Wrong bug number was provided,
Sorry for inconvenience.

Reopening BZ as Undertow is not recognized in domain mode.
Comment 16 Hayk Hovsepyan 2016-04-01 08:08:13 EDT
Let's have it all fixed in scope of this one BZ.
Comment 17 Josejulio Martínez 2016-04-06 11:00:46 EDT
Added support for domain mode.

commit d248cc794be4a8f25f798123c768e805b0b7adfe
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Mon Apr 4 13:25:52 2016 -0500

    Bug 1313955 Undertow is not recognized in domain mode.
Comment 18 Josejulio Martínez 2016-04-06 11:59:23 EDT
There is an error introduced in the last commit, will be fixed in the commit of Bug 1321941
Comment 21 Hayk Hovsepyan 2016-04-13 05:08:32 EDT
Verified on revision jon33-eap-update04 ER01.

Note You need to log in before you can comment on or make changes to this bug.